| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
norm.hpp File Reference

GLM_GTX_norm More...

Go to the source code of this file.

## Functions
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | distance2 (vecType< T, P > const &p0, vecType< T, P > const &p1)
| Returns the squared distance between p0 and p1, i.e., length2(p0 - p1). More...
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
| Returns the L1 norm between x and y. More...
template<typename T , precision P>
GLM_FUNC_DECL T | l1Norm (tvec3< T, P > const &v)
| Returns the L1 norm of v. More...
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x, tvec3< T, P > const &y)
| Returns the L2 norm between x and y. More...
template<typename T , precision P>
GLM_FUNC_DECL T | l2Norm (tvec3< T, P > const &x)
| Returns the L2 norm of v. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL T | length2 (vecType< T, P > const &x)
| Returns the squared length of x. More...
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, tvec3< T, P > const &y, unsigned int Depth)
| Returns the L norm between x and y. More...
template<typename T , precision P>
GLM_FUNC_DECL T | lxNorm (tvec3< T, P > const &x, unsigned int Depth)
| Returns the L norm of v. More...

## Detailed Description

GLM_GTX_norm

See also
  GLM Core (dependence)
  GLM_GTX_quaternion (dependence)

Definition in file norm.hpp.